# -*- encoding: utf-8 -*-
# stub: metriks 0.9.9.6 ruby lib

Gem::Specification.new do |s|
  s.name = "metriks"
  s.version = "0.9.9.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Eric Lindvall"]
  s.date = "2014-02-24"
  s.description = "An experimental metrics client."
  s.email = "eric@sevenscale.com"
  s.extra_rdoc_files = ["README.md", "LICENSE"]
  s.files = ["Gemfile", "LICENSE", "README.md", "Rakefile", "benchmark/samplers.rb", "lib/metriks.rb", "lib/metriks/counter.rb", "lib/metriks/ewma.rb", "lib/metriks/exponentially_decaying_sample.rb", "lib/metriks/gauge.rb", "lib/metriks/histogram.rb", "lib/metriks/meter.rb", "lib/metriks/registry.rb", "lib/metriks/reporter/graphite.rb", "lib/metriks/reporter/librato_metrics.rb", "lib/metriks/reporter/logger.rb", "lib/metriks/reporter/proc_title.rb", "lib/metriks/reporter/riemann.rb", "lib/metriks/simple_moving_average.rb", "lib/metriks/snapshot.rb", "lib/metriks/time_tracker.rb", "lib/metriks/timer.rb", "lib/metriks/uniform_sample.rb", "lib/metriks/utilization_timer.rb", "metriks.gemspec", "test/counter_test.rb", "test/gauge_test.rb", "test/graphite_reporter_test.rb", "test/histogram_test.rb", "test/librato_metrics_reporter_test.rb", "test/logger_reporter_test.rb", "test/meter_test.rb", "test/metriks_test.rb", "test/proc_title_reporter_test.rb", "test/registry_test.rb", "test/riemann_reporter_test.rb", "test/test_helper.rb", "test/thread_error_handling_tests.rb", "test/timer_test.rb", "test/utilization_timer_test.rb"]
  s.homepage = "https://github.com/eric/metriks"
  s.rdoc_options = ["--charset=UTF-8"]
  s.rubygems_version = "2.2.2"
  s.summary = "An experimental metrics client"
  s.test_files = ["test/counter_test.rb", "test/gauge_test.rb", "test/graphite_reporter_test.rb", "test/histogram_test.rb", "test/librato_metrics_reporter_test.rb", "test/logger_reporter_test.rb", "test/meter_test.rb", "test/metriks_test.rb", "test/proc_title_reporter_test.rb", "test/registry_test.rb", "test/riemann_reporter_test.rb", "test/timer_test.rb", "test/utilization_timer_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<atomic>, ["~> 1.0"])
      s.add_runtime_dependency(%q<hitimes>, ["~> 1.1"])
      s.add_runtime_dependency(%q<avl_tree>, ["~> 1.1.2"])
      s.add_development_dependency(%q<mocha>, ["~> 0.10"])
    else
      s.add_dependency(%q<atomic>, ["~> 1.0"])
      s.add_dependency(%q<hitimes>, ["~> 1.1"])
      s.add_dependency(%q<avl_tree>, ["~> 1.1.2"])
      s.add_dependency(%q<mocha>, ["~> 0.10"])
    end
  else
    s.add_dependency(%q<atomic>, ["~> 1.0"])
    s.add_dependency(%q<hitimes>, ["~> 1.1"])
    s.add_dependency(%q<avl_tree>, ["~> 1.1.2"])
    s.add_dependency(%q<mocha>, ["~> 0.10"])
  end
end
